org.yaml.snakeyaml.events

## Class DocumentStartEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.DocumentStartEvent

    public final class DocumentStartEvent
    extends Event

Marks the beginning of a document.

This event followed by the document's content and a `DocumentEndEvent`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`DocumentStartEvent(Mark startMark, Mark endMark, boolean explicit, DumperOptions.Version version, Map<String,String> tags)`

### Method Summary

Methods
`Event.ID` `getEventId()` Get the type (kind) if this Event
`boolean` `getExplicit()`
`Map<String,String>` `getTags()` Tag shorthands as defined by the `%TAG` directive.
`DumperOptions.Version` `getVersion()` YAML version the document conforms to.

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getArguments, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocumentStartEvent

    public DocumentStartEvent(Mark startMark,
                      Mark endMark,
                      boolean explicit,
                      DumperOptions.Version version,
                      Map<String,String> tags)

### Method Detail

#### getExplicit

    public boolean getExplicit()

#### getVersion

    public DumperOptions.Version getVersion()

YAML version the document conforms to.

Returns:
  `null`if the document has no explicit `%YAML` directive. Otherwise an array with two components, the major and minor part of the version (in this order).

#### getTags

    public Map<String,String> getTags()

Tag shorthands as defined by the `%TAG` directive.

Returns:
  Mapping of 'handles' to 'prefixes' (the handles include the '!' characters).

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event